Drobo

Drobo 5D3/8D are Compatible with Catalina

The Drobo 5D3 and 8D are compatible with Catalina. The messaging on our main page is in the process of being updated.

Ensure you are on latest firmware and dashboard for these products:

https://www.drobo.com/docs/start-drobo-5d3/

Should you run into any issues, see:

macOS 10.15 Catalina - Frequently Asked Questions